package com.lantone.daqe.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lantone.common.util.BeanUtil;
import com.lantone.common.util.StringUtil;
import com.lantone.daqe.dto.GetDiseasePageDTO;
import com.lantone.daqe.entity.DiseaseInfo;
import com.lantone.daqe.facade.base.DiseaseInfoFacade;
import com.lantone.daqe.vo.AddDiseaseVo;
import com.lantone.daqe.vo.DelDiseaseByIdVo;
import com.lantone.daqe.vo.GetDiseasePageVO;
import com.lantone.daqe.vo.UpDiseaseByIdVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 诊断管理-业务处理类
 * @author: rengb
 * @time: 2021/7/20 12:39
 */
@Component
public class DiseaseManagementFacade {

    @Autowired
    private DiseaseInfoFacade diseaseInfoFacade;

    public IPage<GetDiseasePageDTO> getDiseasePage(GetDiseasePageVO getDiseasePageVO) {
        Page<GetDiseasePageDTO> getDiseasePageDTOPage = new Page<>();

        QueryWrapper<DiseaseInfo> diseaseInfoQueryWrapper = new QueryWrapper<>();
        diseaseInfoQueryWrapper.eq(getDiseasePageVO.getHospitalId() != null, "hospital_id", getDiseasePageVO.getHospitalId());
        diseaseInfoQueryWrapper.like(StringUtil.isNotBlank(getDiseasePageVO.getName()), "name", getDiseasePageVO.getName());
        diseaseInfoQueryWrapper.like(StringUtil.isNotBlank(getDiseasePageVO.getStandard()), "standard", getDiseasePageVO.getStandard());
        diseaseInfoQueryWrapper.like(StringUtil.isNotBlank(getDiseasePageVO.getIcd10()), "icd10", getDiseasePageVO.getIcd10());
        if (StringUtil.isNotBlank(getDiseasePageVO.getIsMapping())) {
            if (getDiseasePageVO.getIsMapping().equals("0")) {
                diseaseInfoQueryWrapper.isNull("standard");
            } else if (getDiseasePageVO.getIsMapping().equals("1")) {
                diseaseInfoQueryWrapper.isNotNull("standard");
            }
        }
        Page<DiseaseInfo> diseaseInfoPage = new Page<>(getDiseasePageVO.getCurrent(), getDiseasePageVO.getSize());
        diseaseInfoFacade.page(diseaseInfoPage, diseaseInfoQueryWrapper);
        BeanUtil.copyProperties(diseaseInfoPage, getDiseasePageDTOPage);
        List<GetDiseasePageDTO> getDiseasePageDTOList = BeanUtil.listCopyTo(diseaseInfoPage.getRecords(), GetDiseasePageDTO.class);
        getDiseasePageDTOList.forEach(i -> {
            i.setIsMapping(StringUtil.isBlank(i.getIsMapping()) ? "未匹配" : "已匹配");
        });

        getDiseasePageDTOPage.setRecords(getDiseasePageDTOList);
        return getDiseasePageDTOPage;
    }

    /**
     *@Description新增诊断
     *
     * @param addDiseaseVo
     * @Return java.lang.Boolean
     */
    public Boolean addDisease(AddDiseaseVo addDiseaseVo) {

        return false;
    }

    /**
     *@Description修改诊断
     *
     * @param upDiseaseByIdVo
     * @Return java.lang.Boolean
     */
    public Boolean upDiseaseById(UpDiseaseByIdVo upDiseaseByIdVo) {

        return false;
    }

    /**
     *@Description删除诊断
     *
     * @param delDiseaseByIdVo
     * @Return java.lang.Boolean
     */
    public Boolean delDiseaseById(DelDiseaseByIdVo delDiseaseByIdVo) {

        return false;
    }
}