package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @Description:新增诊断-接口入参
 * @Author songxl
 * @Date 2022/2/28
 */
@Data
public class AddDiseaseVo implements Serializable {
    private static final long serialVersionUID = -1337085237395181794L;

    @ApiModelProperty(value = "组织机构ID", hidden = true)
    private Long hospitalId;

    @ApiModelProperty(value = "医院诊断名称", required = true)
    @NotBlank(message = "医院诊断名称不能为空")
    private String name;

    @ApiModelProperty(value = "ICD-10编码")
    private String icd10;

}
