package com.lantone.daqe.web;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.api.CommonResult;
import com.lantone.daqe.dto.GetDrugPageDTO;
import com.lantone.daqe.facade.DrugManagementFacade;
import com.lantone.daqe.vo.GetDrugPageVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: 药品管理API
 * @author: songxl
 * @time: 2021/7/20 12:39
 */
@RestController
@Api(value = "药品管理API", tags = { "药品管理API" })
@RequestMapping("/drugManage")
public class DrugManagementController {

    @Autowired
    private DrugManagementFacade drugManagementFacade;

    @ApiOperation(value = "获取药品分页列表 [by:songxl]")
    @PostMapping("/getDrugPage")
    public CommonResult<IPage<GetDrugPageDTO>> getDrugPage(@RequestBody GetDrugPageVO getDrugPageVO) {
        return CommonResult.success(drugManagementFacade.getDrugPage(getDrugPageVO));
    }

}