package com.lantone.daqe.web;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.api.CommonResult;
import com.lantone.daqe.dto.GetOperationPageDTO;
import com.lantone.daqe.facade.OperationManagementFacade;
import com.lantone.daqe.vo.GetOperationPageVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: 手术管理API
 * @author: songxl
 * @time: 2021/7/20 12:39
 */
@RestController
@Api(value = "手术管理API", tags = { "手术管理API" })
@RequestMapping("/operationManage")
public class OperationManagementController {

    @Autowired
    private OperationManagementFacade operationManagementFacade;

    @ApiOperation(value = "获取手术分页列表 [by:songxl]")
    @PostMapping("/getOperationPage")
    public CommonResult<IPage<GetOperationPageDTO>> getOperationPage(@RequestBody GetOperationPageVO getOperationPageVO) {
        return CommonResult.success(operationManagementFacade.getOperationPage(getOperationPageVO));
    }

}